Subject: bug#31211: 27.0.50; Pruning of command-history in command-execute is off by one

From: Noam Postavsky <[email-masked]>
Date: Sun, 29 Apr 2018 18:43:02 -0400

"Basil L. Contovounesios" <[email-masked]> writes:

> Is there any reason why we can't use add-to-history in places like
> Fcall_interactively in src/callint.c and read_minibuf in src/minibuf.c,
> rather than duplicating its logic and falling into off-by-one traps?

Sometimes there can be bootstrapping problems (e.g., the C code tries to
call Lisp code that hasn't been loaded yet).  In this case, I don't
think call-interactively should be needed during bootstrap, so it's
probably fine.

> I attach a patch which delegates to add-to-history in various such
> places, on the assumption this is kosher.  Please let me know whether
> something like this would be acceptable and/or how it can made so. 
>
> The second attachment comprises the same minor lisp/simple.el touch-ups
> as in my last email.

Thanks, I'll push to master in a few days assuming there are no
objections.